package com.qmth.sop.business.sync.been.fxxk;

import com.qmth.sop.common.enums.ProductTypeEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 纷享销客派单信息
 * @Author: CaoZixuan
 * @Date: 2023-10-12
 */
public class FxxkCrm {
    @ApiModelProperty("派单编号")
    private String crmNo;

    @ApiModelProperty("派单名称")
    private String crmName;

    @ApiModelProperty("派单开始时间")
    private Long beginTime;

    @ApiModelProperty("客户经理")
    private String managerName;

    @ApiModelProperty("客户经理电话")
    private String managerMobileNumber;

    @ApiModelProperty("客户类型")
    private ProductTypeEnum customType;
    @ApiModelProperty("客户名称")
    private String customName;
    @ApiModelProperty("国家")
    private String customCounty;
    @ApiModelProperty("省份")
    private String customProvince;
    @ApiModelProperty("城市")
    private String customCity;
    @ApiModelProperty("详细地址")
    private String customAddress;

    @ApiModelProperty("考试开始时间")
    private Long examStartTime;
    @ApiModelProperty("考试结束时间")
    private Long examEndTime;

    @ApiModelProperty("fxxk同步质控平台")
    private Boolean sync;

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public String getCrmName() {
        return crmName;
    }

    public void setCrmName(String crmName) {
        this.crmName = crmName;
    }

    public Long getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Long beginTime) {
        this.beginTime = beginTime;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }

    public String getManagerMobileNumber() {
        return managerMobileNumber;
    }

    public void setManagerMobileNumber(String managerMobileNumber) {
        this.managerMobileNumber = managerMobileNumber;
    }

    public ProductTypeEnum getCustomType() {
        return customType;
    }

    public void setCustomType(ProductTypeEnum customType) {
        this.customType = customType;
    }

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }

    public String getCustomCounty() {
        return customCounty;
    }

    public void setCustomCounty(String customCounty) {
        this.customCounty = customCounty;
    }

    public String getCustomProvince() {
        return customProvince;
    }

    public void setCustomProvince(String customProvince) {
        this.customProvince = customProvince;
    }

    public String getCustomCity() {
        return customCity;
    }

    public void setCustomCity(String customCity) {
        this.customCity = customCity;
    }

    public String getCustomAddress() {
        return customAddress;
    }

    public void setCustomAddress(String customAddress) {
        this.customAddress = customAddress;
    }

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public Boolean getSync() {
        return sync;
    }

    public void setSync(Boolean sync) {
        this.sync = sync;
    }
}
